1. API 명세
디버 OpenAPI
  • 디버 주문접수 OpenAPI 이용안내
  • 공통
    • 1. 꼭 읽어주세요 ‼️
    • 2. 주문 상태
    • 3. API Signature 생성
    • 4. 날짜&시간 형식
    • 5. 물품정보(items) 형식
    • 6. Vehicle 상세 (퀵)
    • 7. Vehicle 상세 (화물)
    • 8. 변경이력
  • API 명세
    • 배송가능시간 slot 확인 (DRAFT)
      POST
    • 운임조회(퀵)
      POST
    • 운임조회(화물)
      POST
    • 주문접수(퀵/화물 공통)
      POST
    • 주문 상태 리스트 조회
      POST
    • 주문 상세조회(퀵/화물 공통)
      GET
    • 주문 취소요청(퀵/화물 공통)
      DELETE
  • 콜백 명세
    • 주문상태 변경 웹훅(콜백)
  • Schemas
    • Response
      • OrderLIstDTO
      • OrderListPinDTO
    • Request
      • calculator
        • quick-calculator-scheme
        • freight-calculator-scheme
        • item dto
        • vehicle dto
        • vehicle-freight-dto
      • orders
        • 구버전 orders 요청
        • 신버전 orders 요청
        • pins
    • eventName Resource
      • additionalPrice resource
      • orderDispatched resource
      • orderReDispatched resource
      • orderOngoing resource
      • orderOneCompleted resource
      • orderAllCompleted
      • orderCanceled
    • 웹훅 공통
    • calculator schema Copy
    • 운임계산 상세정보
    • 운임 상세정보
    • 주문 상태
  1. API 명세

배송가능시간 slot 확인 (DRAFT)

POST
https://openapi.dver.pe.kr/v2/orders/delivery-quotes
현재시각 기준 주문접수 가능한 시간과 도착예정시각을 제공합니다.

Request

Header Params

Body Params application/json

Example
{
    "origin": {
        "latitude": 37.539554,
        "longitude": 126.945863
    },
    "destination": {
        "latitude":    37.51733192586,
        "longitude": 127.047377408384
    },
    "waypoints": [
    ],
    "pickupWindow": {
        "from": "2026-08-28T09:00:00+09:00",
        "to": "2026-08-28T22:00:00+09:00"
    }
}

Responses

🟢201OK
application/json
Bodyapplication/json

Example
{
  "code": "OK",
  "message": "정상적으로 처리되었습니다.",
  "data": {
    "options": [
      {
        "pickupTime": "2026-08-20T14:00:00+09:00",
        "estimatedArrivalTime": "2026-08-20T15:10:00+09:00"
      },
      {
        "pickupTime": "2026-08-20T15:00:00+09:00",
        "estimatedArrivalTime": "2026-08-20T16:05:00+09:00"
      },
      {
        "pickupTime": "2026-08-20T16:00:00+09:00",
        "estimatedArrivalTime": "2026-08-20T17:20:00+09:00"
      },
      {
        "pickupTime": "2026-08-20T17:00:00+09:00",
        "estimatedArrivalTime": "2026-08-20T18:30:00+09:00"
      }
    ]
  }
}
🟠400Validation Error
🟠401인증오류
🟠403
🔴500서버 오류
Previous
8. 변경이력
Next
운임조회(퀵)
Built with